Bug 486749 - Tomcat Fails to Start on Fedora 10 (Missing Jar Symlink)
Tomcat Fails to Start on Fedora 10 (Missing Jar Symlink)
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Red Hat Satellite QA List
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-02-21 13:37 EST by Devan Goodwin
Modified: 2009-09-17 03:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2009-02-21 13:37:32 EST
Description of problem:

During spacewalk-setup on Fedora 10 (using 0.5 devel repo) setup will stall when restarting services near the end. catalina.out reports missing SequencedHashMap class.

How reproducible:

100%

Steps to Reproduce:
1. Install spacewalk on Fedora 10 using 0.5 devel repo.
2. spacewalk-setup normally.
3.
  
Actual results:

Installer hangs restarting services, /var/log/tomcat5/catalina.out reports missing class name.


Additional info:

Class is provided by the jakarta-commons-collections package which drops a jar into /usr/share/java.

On EL5 systems:

[root@rlx-0-18 java]# ls -la /var/lib/tomcat5/common/lib/
...
lrwxrwxrwx 1 root root      39 Feb 13 08:09 [commons-collections].jar -> /usr/share/java/commons-collections.jar
...

On Fedora 10 no such symlink exists and thus the class not found. The link does not appear to be owned by any package on EL5 so I'm not sure how it gets created.

Workaround is easy enough, copy or symlink the commons-collections.jar into common lib or the webapp lib.
Comment 1 Devan Goodwin 2009-02-22 21:57:08 EST
One other missing jar causes a ClassNotFoundException looking for javax.transaction.Synchronization.

This one is found in /usr/share/java/jta.jar, again just needs to be copied or symlinked into /var/lib/tomcat5/common/lib/ or your webapps lib directory.
Comment 2 Devan Goodwin 2009-02-26 13:20:23 EST
Fixed in spacewalk git ef86f69571d405013d03905cdf460d0c69388aa8.

Added explicit symlinks to both jars within the webapp lib directory on all platforms.
Comment 3 Devan Goodwin 2009-03-30 11:16:19 EDT
Verified in spacewalk 0.5.
Comment 4 Jesus M. Rodriguez 2009-04-14 10:13:12 EDT
Spacewalk 0.5 released.
Comment 5 Miroslav Suchý 2009-09-17 03:10:33 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.